Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Filter Class Reference

`#include <guiFilterCtrl.h>`

Inheritance diagram for Filter:

## Public Member Functions
| Filter ()
void | set (S32 argc, const char *argv[])
F32 | getValue (F32 t) const
Public Member Functions inherited from Vector< F32 >
| Vector (const U32 initialSize=0)
| Vector (const U32 initialSize, const char *fileName, const U32 lineNum)
| Vector (const char *fileName, const U32 lineNum)
| Vector (const Vector &)
| ~Vector ()
void | setFileAssociation (const char *file, const U32 line)
void | insert (U32)
void | erase (U32)
U32 | memSize () const
F32 * | address () const
U32 | setSize (U32)
void | increment (U32=1)
void | increment (const F32 *array, U32=1)
void | decrement (U32=1)
void | erase_fast (U32)
void | erase_fast (iterator)
void | clear ()
void | compact ()
void | sort (compare_func f)
F32 & | first ()
const F32 & | first () const
F32 & | last ()
const F32 & | last () const
void | set (void *addr, U32 sz)
void | merge (const Vector &p)
Vector< F32 > & | operator= (const Vector< F32 > &p)
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
S32 | size () const
bool | empty () const
bool | contains (const F32 &) const
void | insert (iterator, const F32 &)
void | erase (iterator)
F32 & | front ()
const F32 & | front () const
F32 & | back ()
const F32 & | back () const
void | push_front (const F32 &)
void | push_back (const F32 &)
U32 | push_front_unique (const F32 &)
U32 | push_back_unique (const F32 &)
S32 | find_next (const F32 &, U32 start=0) const
void | pop_front ()
void | pop_back ()
F32 & | operator[] (U32)
const F32 & | operator[] (U32) const
F32 & | operator[] (S32 i)
const F32 & | operator[] (S32 i) const
F32 & | at (U32)
const F32 & | at (U32) const
void | reserve (U32)
U32 | capacity () const

## Additional Inherited Members
Public Types inherited from Vector< F32 >
typedef F32 | value_type
typedef F32 & | reference
typedef const F32 & | const_reference
typedef F32 * | iterator
typedef const F32 * | const_iterator
typedef S32 | difference_type
typedef U32 | size_type
typedef difference_type(QSORT_CALLBACK * | compare_func) (const F32 *a, const F32 *b)
Protected Member Functions inherited from Vector< F32 >
bool | resize (U32)
void | destroy (U32 start, U32 end)
| Destructs elements from start to end-1 More...
void | construct (U32 start, U32 end)
| Constructs elements from start to end-1 More...
void | construct (U32 start, U32 end, const F32 *array)
Protected Attributes inherited from Vector< F32 >
U32 | mElementCount
U32 | mArraySize
F32 * | mArray
const char * | mFileAssociation
U32 | mLineAssociation

## Constructor & Destructor Documentation

Filter | ( |  | ) |
| inline

## Member Function Documentation

F32 getValue | ( | F32 | t | ) | const

void set | ( | S32 | argc,
|  | const char * | argv[]
| ) |  |

The documentation for this class was generated from the following files:

- gui/editor/guiFilterCtrl.h
- gui/editor/guiFilterCtrl.cc